Index: src/isdn/Q931api.c
===================================================================
--- src/isdn/Q931api.c	(revision 495)
+++ src/isdn/Q931api.c	(working copy)
@@ -74,8 +74,8 @@
 						Q931Dialect_t Dialect,
 						Q931NetUser_t NetUser,
 						Q931_TrunkType_t TrunkType,
-						Q931TxCB_t Q931Tx34CBProc,
-						Q931TxCB_t Q931Tx32CBProc,
+						Q931Tx34CB_t Q931Tx34CBProc,
+						Q931Tx32CB_t Q931Tx32CBProc,
 						Q931ErrorCB_t Q931ErrorCBProc,
 						void *PrivateData32,
 						void *PrivateData34)
@@ -97,6 +97,7 @@
 		break;
 
 	case Q931_TrType_BRI:
+	case Q931_TrType_BRI_PTMP:
 		dchannel = 3;
 		maxchans = 3;
 		break;
@@ -221,7 +222,7 @@
 {
 	memset(pMes, 0, sizeof(*pMes));
 	pMes->ProtDisc		= 0x08;
-	pMes->Size			= Q931GetMesSize(pMes);
+	pMes->Size		= Q931GetMesSize(pMes);
 
 	return 0;
 }
@@ -229,22 +230,22 @@
 L3INT Q931InitMesResume(Q931mes_Generic * pMes)
 {
 	pMes->ProtDisc		= 0x08;
-	pMes->CRV			= 0;		/* CRV to be allocated, might be receive*/
+	pMes->CRV		= 0;		/* CRV to be allocated, might be receive*/
 	pMes->MesType		= Q931mes_RESUME;
 
-	pMes->Size			= Q931GetMesSize(pMes);
-    pMes->CallID        = 0;        /* Channel Identification               */
+	pMes->Size		= Q931GetMesSize(pMes);
+	pMes->CallID		= 0;        /* Channel Identification               */
 	return 0;
 }
 
 L3INT Q931InitMesRestartAck(Q931mes_Generic * pMes)
 {
 	pMes->ProtDisc		= 0x08;
-	pMes->CRV			= 0;		/* CRV to be allocated, might be receive*/
+	pMes->CRV		= 0;		/* CRV to be allocated, might be receive*/
 	pMes->MesType		= Q931mes_RESTART_ACKNOWLEDGE;
 
-	pMes->Size			= Q931GetMesSize(pMes);
-    pMes->ChanID        = 0;        /* Channel Identification               */
+	pMes->Size		= Q931GetMesSize(pMes);
+	pMes->ChanID		= 0;        /* Channel Identification               */
 	pMes->Display		= 0;
 	pMes->RestartInd	= 0;
 	pMes->RestartWin	= 0;
@@ -323,59 +324,59 @@
 
 L3INT Q931InitIENetFac(Q931ie_NetFac * pIE)
 {
-	pIE->IEId			= Q931ie_NETWORK_SPECIFIC_FACILITIES;
-	pIE->Size			= sizeof(Q931ie_NetFac);
+	pIE->IEId		= Q931ie_NETWORK_SPECIFIC_FACILITIES;
+	pIE->Size		= sizeof(Q931ie_NetFac);
 	pIE->LenNetID		= 0;        /* Length of network facilities id.     */
 	pIE->TypeNetID		= 0;        /* Type of network identification       */
 	pIE->NetIDPlan		= 0;        /* Network identification plan.         */
-	pIE->NetFac			= 0;        /* Network specific facility spec.      */
+	pIE->NetFac		= 0;        /* Network specific facility spec.      */
 	pIE->NetID[0]		= 0;
 	return 0;
 }
 
 L3INT Q931InitIEDisplay(Q931ie_Display * pIE)
 {
-	pIE->IEId			= Q931ie_DISPLAY;
-	pIE->Size			= sizeof(Q931ie_Display);
+	pIE->IEId		= Q931ie_DISPLAY;
+	pIE->Size		= sizeof(Q931ie_Display);
 	pIE->Display[0]		= 0;
 	return 0;
 }
 
 L3INT Q931InitIEDateTime(Q931ie_DateTime * pIE)
 {
-	pIE->IEId			= Q931ie_DATETIME;
-	pIE->Size			= sizeof(Q931ie_DateTime);
-	pIE->Year			= 0;        /* Year                                 */
-	pIE->Month			= 0;        /* Month                                */
-	pIE->Day			= 0;        /* Day                                  */
-	pIE->Hour			= 0;        /* Hour                                 */
-	pIE->Minute			= 0;        /* Minute                               */
-	pIE->Second			= 0;        /* Second                               */
+	pIE->IEId		= Q931ie_DATETIME;
+	pIE->Size		= sizeof(Q931ie_DateTime);
+	pIE->Year		= 0;        /* Year                                 */
+	pIE->Month		= 0;        /* Month                                */
+	pIE->Day		= 0;        /* Day                                  */
+	pIE->Hour		= 0;        /* Hour                                 */
+	pIE->Minute		= 0;        /* Minute                               */
+	pIE->Second		= 0;        /* Second                               */
 
 	return 0;
 }
 
 L3INT Q931InitIEKeypadFac(Q931ie_KeypadFac * pIE)
 {
-	pIE->IEId			= Q931ie_KEYPAD_FACILITY;
-	pIE->Size			= sizeof(Q931ie_KeypadFac);
+	pIE->IEId		= Q931ie_KEYPAD_FACILITY;
+	pIE->Size		= sizeof(Q931ie_KeypadFac);
 	pIE->KeypadFac[0]	= 0;
 	return 0;
 }
 
 L3INT Q931InitIESignal(Q931ie_Signal * pIE)
 {
-	pIE->IEId			= Q931ie_SIGNAL;
-	pIE->Size			= sizeof(Q931ie_Signal);
-	pIE->Signal			= 0;
+	pIE->IEId		= Q931ie_SIGNAL;
+	pIE->Size		= sizeof(Q931ie_Signal);
+	pIE->Signal		= 0;
 	return 0;
 }
 
 L3INT Q931InitIECallingNum(Q931ie_CallingNum * pIE)
 {
-	pIE->IEId			= Q931ie_CALLING_PARTY_NUMBER;
-	pIE->Size			= sizeof(Q931ie_CallingNum);
-	pIE->TypNum			= 0;        /* Type of number                       */
+	pIE->IEId		= Q931ie_CALLING_PARTY_NUMBER;
+	pIE->Size		= sizeof(Q931ie_CallingNum);
+	pIE->TypNum		= 0;        /* Type of number                       */
 	pIE->NumPlanID		= 0;        /* Numbering plan identification        */
 	pIE->PresInd		= 0;        /* Presentation indicator               */
 	pIE->ScreenInd		= 0;        /* Screening indicator                  */
@@ -386,9 +387,9 @@
 
 L3INT Q931InitIECallingSub(Q931ie_CallingSub * pIE)
 {
-	pIE->IEId			= Q931ie_CALLING_PARTY_SUBADDRESS;
-	pIE->Size			= sizeof(Q931ie_CallingSub);
-	pIE->TypNum			= 0;        /* Type of subaddress                   */
+	pIE->IEId		= Q931ie_CALLING_PARTY_SUBADDRESS;
+	pIE->Size		= sizeof(Q931ie_CallingSub);
+	pIE->TypNum		= 0;        /* Type of subaddress                   */
 	pIE->OddEvenInd		= 0;        /* Odd/Even indicator                   */
 	pIE->Digit[0]		= 0;        /* Digits                               */
 
@@ -397,9 +398,9 @@
 
 L3INT Q931InitIECalledNum(Q931ie_CalledNum * pIE)
 {
-	pIE->IEId			= Q931ie_CALLED_PARTY_NUMBER;
-	pIE->Size			= sizeof(Q931ie_CalledNum);
-	pIE->TypNum			= 0;        /* Type of Number                       */
+	pIE->IEId		= Q931ie_CALLED_PARTY_NUMBER;
+	pIE->Size		= sizeof(Q931ie_CalledNum);
+	pIE->TypNum		= 0;        /* Type of Number                       */
 	pIE->NumPlanID		= 0;        /* Numbering plan identification        */
 	pIE->Digit[0]		= 0;        /* Digit (IA5)                          */
 
@@ -408,9 +409,9 @@
 
 L3INT Q931InitIECalledSub(Q931ie_CalledSub * pIE)
 {
-	pIE->IEId			= Q931ie_CALLED_PARTY_SUBADDRESS;
-	pIE->Size			= sizeof(Q931ie_CalledSub);
-	pIE->TypNum			= 0;        /* Type of subaddress                   */
+	pIE->IEId		= Q931ie_CALLED_PARTY_SUBADDRESS;
+	pIE->Size		= sizeof(Q931ie_CalledSub);
+	pIE->TypNum		= 0;        /* Type of subaddress                   */
 	pIE->OddEvenInd		= 0;        /* Odd/Even indicator                   */
 	pIE->Digit[0]		= 0;        /* Digits                               */
 
@@ -419,9 +420,9 @@
 
 L3INT Q931InitIETransNetSel(Q931ie_TransNetSel * pIE)
 {
-	pIE->IEId			= Q931ie_TRANSIT_NETWORK_SELECTION;
-	pIE->Size			= sizeof(Q931ie_TransNetSel);
-	pIE->Type			= 0;        /* Type of network identifier           */
+	pIE->IEId		= Q931ie_TRANSIT_NETWORK_SELECTION;
+	pIE->Size		= sizeof(Q931ie_TransNetSel);
+	pIE->Type		= 0;        /* Type of network identifier           */
 	pIE->NetIDPlan		= 0;        /* Network idetification plan           */
 	pIE->NetID[0]		= 0;        /* Network identification(IA5)          */
 
@@ -430,8 +431,8 @@
 
 L3INT Q931InitIELLComp(Q931ie_LLComp * pIE)
 {
-	pIE->IEId			= Q931ie_LOW_LAYER_COMPATIBILITY;
-	pIE->Size			= sizeof(Q931ie_LLComp);
+	pIE->IEId		= Q931ie_LOW_LAYER_COMPATIBILITY;
+	pIE->Size		= sizeof(Q931ie_LLComp);
 
 	pIE->CodStand		= 0;        /* Coding standard                      */
 	pIE->ITransCap		= 0;        /* Information transfer capability      */
@@ -442,33 +443,33 @@
 	pIE->Layer1Ident	= 0;        /* Layer 1 ident.                       */
 	pIE->UIL1Prot		= 0;        /* User information layer 1 protocol    */
 	pIE->SyncAsync		= 0;        /* Synch/asynch                         */
-	pIE->Negot			= 0;        /* Negot                                */
+	pIE->Negot		= 0;        /* Negot                                */
 	pIE->UserRate		= 0;        /* User rate                            */
 	pIE->InterRate		= 0;        /* Intermediate rate                    */
 	pIE->NIConTx		= 0;        /* NIC on Tx                            */
 	pIE->NIConRx		= 0;        /* NIC on Rx                            */
 	pIE->FlowCtlTx		= 0;        /* Flow control on Tx                   */
 	pIE->FlowCtlRx		= 0;        /* Flow control on Rx                   */
-	pIE->HDR			= 0;        /* Hdr/no hdr                           */
+	pIE->HDR		= 0;        /* Hdr/no hdr                           */
 	pIE->MultiFrame		= 0;        /* Multiframe                           */
-	pIE->ModeL1			= 0;		/* Mode L1								*/
+	pIE->ModeL1		= 0;		/* Mode L1								*/
 	pIE->NegotLLI		= 0;        /* Negot. LLI                           */
 	pIE->Assignor		= 0;        /* Assignor/Assignor ee                 */
 	pIE->InBandNeg		= 0;        /* In-band negot.                       */
 	pIE->NumStopBits	= 0;        /* Number of stop bits                  */
 	pIE->NumDataBits	= 0;        /* Number of data bits                  */
-	pIE->Parity			= 0;        /* Parity                               */
+	pIE->Parity		= 0;        /* Parity                               */
 	pIE->DuplexMode		= 0;        /* Duplex Mode                          */
 	pIE->ModemType		= 0;        /* Modem type                           */
 	pIE->Layer2Ident	= 0;        /* Layer 2 ident.                       */
 	pIE->UIL2Prot		= 0;        /* User information layer 2 protocol    */
-	pIE->ModeL2			= 0;        /* ModeL2                               */
+	pIE->ModeL2		= 0;        /* ModeL2                               */
 	pIE->Q933use		= 0;        /* Q.9333 use                           */
 	pIE->UsrSpcL2Prot	= 0;        /* User specified layer 2 protocol info */
 	pIE->WindowSize		= 0;        /* Window size (k)                      */
 	pIE->Layer3Ident	= 0;        /* Layer 3 ident                        */
 	pIE->OptL3Info		= 0;        /* Optional layer 3 protocol info.      */
-	pIE->ModeL3			= 0;        /* Mode of operation                    */
+	pIE->ModeL3		= 0;        /* Mode of operation                    */
 #if 0
 	pIE->ModeX25op		= 0;        /* Mode of operation X.25               */
 #endif
@@ -481,8 +482,8 @@
 
 L3INT Q931InitIEHLComp(Q931ie_HLComp * pIE)
 {
-	pIE->IEId			= Q931ie_HIGH_LAYER_COMPATIBILITY;
-	pIE->Size			= sizeof(Q931ie_HLComp);
+	pIE->IEId		= Q931ie_HIGH_LAYER_COMPATIBILITY;
+	pIE->Size		= sizeof(Q931ie_HLComp);
 
 	return 0;
 }
@@ -504,7 +505,7 @@
 	(void)b;
 	(void)iFrom;
 
-    return 0;
+	return 0;
 }
 
 L3INT Q931Disconnect(Q931_TrunkInfo_t *pTrunk, L3INT iTo, L3INT iCRV, L3INT iCause)
@@ -515,22 +516,24 @@
 	(void)iCRV;
 	(void)iCause;
 
-    return 0;
+	return 0;
 }
 
 L3INT Q931ReleaseComplete(Q931_TrunkInfo_t *pTrunk, L3UCHAR *buf)
 {
-    Q931mes_Header *ptr = (Q931mes_Header*)&buf[Q931L4HeaderSpace];
+	Q931mes_Header *ptr = (Q931mes_Header*)&buf[Q931L4HeaderSpace];
+
 	ptr->MesType = Q931mes_RELEASE_COMPLETE;
 	ptr->CRVFlag = !(ptr->CRVFlag);
-	return Q931Tx32(pTrunk,buf,ptr->Size);
+
+	return Q931Tx32Data(pTrunk,buf,ptr->Size);
 }
 
 L3INT Q931AckRestart(Q931_TrunkInfo_t *pTrunk, L3UCHAR *buf)
 {
 	L3INT RetCode;
+	Q931mes_Header *ptr = (Q931mes_Header*)&buf[Q931L4HeaderSpace];
 
-    Q931mes_Header *ptr = (Q931mes_Header*)&buf[Q931L4HeaderSpace];
 	ptr->MesType = Q931mes_RESTART_ACKNOWLEDGE;
 	//if (ptr->CRV) {
 		ptr->CRVFlag = !(ptr->CRVFlag);
@@ -538,38 +541,38 @@
 
 	RetCode = Q931Proc[pTrunk->Dialect][ptr->MesType](pTrunk, buf, 4);
 
-    return RetCode;
+	return RetCode;
 }
 
 L3INT Q931AckSetup(Q931_TrunkInfo_t *pTrunk, L3UCHAR *buf)
 {
 	L3INT RetCode;
+	Q931mes_Header *ptr = (Q931mes_Header*)&buf[Q931L4HeaderSpace];
 
-    Q931mes_Header *ptr = (Q931mes_Header*)&buf[Q931L4HeaderSpace];
 	ptr->MesType = Q931mes_SETUP_ACKNOWLEDGE;
 
 	RetCode = Q931Proc[pTrunk->Dialect][ptr->MesType](pTrunk, buf, 4);
 
-    return RetCode;
+	return RetCode;
 }
 
 L3INT Q931AckConnect(Q931_TrunkInfo_t *pTrunk, L3UCHAR *buf)
 {
 	L3INT RetCode;
+	Q931mes_Header *ptr = (Q931mes_Header*)&buf[Q931L4HeaderSpace];
 
-    Q931mes_Header *ptr = (Q931mes_Header*)&buf[Q931L4HeaderSpace];
 	ptr->MesType = Q931mes_CONNECT_ACKNOWLEDGE;
 
 	RetCode = Q931Proc[pTrunk->Dialect][ptr->MesType](pTrunk, buf, 4);
 
-    return RetCode;
+	return RetCode;
 }
 
 L3INT Q931AckService(Q931_TrunkInfo_t *pTrunk, L3UCHAR *buf)
 {
 	L3INT RetCode;
+	Q931mes_Header *ptr = (Q931mes_Header*)&buf[Q931L4HeaderSpace];
 
-    Q931mes_Header *ptr = (Q931mes_Header*)&buf[Q931L4HeaderSpace];
 	ptr->MesType = Q931mes_SERVICE_ACKNOWLEDGE;
 	if (ptr->CRV) {
 		ptr->CRVFlag = !(ptr->CRVFlag);
@@ -577,7 +580,7 @@
 
 	RetCode = Q931Proc[pTrunk->Dialect][ptr->MesType](pTrunk, buf, 4);
 
-    return RetCode;
+	return RetCode;
 }
 
 Q931_ENUM_NAMES(DIALECT_TYPE_NAMES, DIALECT_STRINGS)
